package workforecast

class DirectorController {
    
    def authenticateUser(roleName)
    {
        if(!session.user)
            return false
        else
        {
            def curUser = User.get(session.user.id[0])
            if(curUser.role == roleName)
            return true
            else
            return false
        }
    }

    def index() 
    { 
        if(!authenticateUser("Director"))
        {
            redirect(controller:"main", action:"index")
            return
        }
        
        def consultantID=params.int("consultantID")
        def currUser
        
        def Consultants = User.findAllByRole("Consultant")
        
        if(consultantID)
        {
            currUser=User.get(consultantID)
        }
        
        render(view:"index", model:[user:currUser, consultants:Consultants])
    }
}
