package workforecast

class ManagerController {
    
    def authenticateUser(roleName)
    {
        if(!session.user)
            return false
        else
        {
            def curUser = User.get(session.user.id[0])
            if(curUser.role == roleName)
            return true
            else
            return false
        }
    }

    def index() 
    {
        if(!authenticateUser("Manager"))
            redirect(controller:"main", action:"index")
            
        println params
            
        def consultantID = params.int("consultantID")
        def currUser
        def Activities1
        def Activities2
        if(consultantID)//user selected
        {
            currUser = User.get(consultantID)
            Activities1 = Activity.findAllByUserAndA_typeBetween(currUser,1,2)
            Activities2 = Activity.findAllByUserAndA_type(currUser,3)
        }
        
        def Consultants = User.findAllByRole("Consultant")
        
        render(view:"index", model:[consultants:Consultants, user:currUser, activities1:Activities1, activities2:Activities2])
    }
}
