<!--
  To change this template, choose Tools | Templates
  and open the template in the editor.
-->

<%@ page contentType="text/html;charset=UTF-8" %>

<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <meta name="layout" content="light"/>
    <title>Activity Edit Window</title>
    <g:javascript library="jquery"/>
    <style type="text/css">
      .validatorClass
      {
        color:#ff0000;
      }
    </style>
    <script type="text/javascript">
      var parentUpdate=function(data)
      {
        var d = opener.document;
        var tableActivities = d.getElementById("tableActivities");
        
        var activityID = document.getElementById("activityID");
        if(activityID.value=="")//creation
        {
          tableActivities.innerHTML+=data;
        }
        else
        {
          var currLine = d.getElementById("row"+activityID.value);
          currLine.innerHTML=data;
        }
        
      }
      
      var performValidation=function()
      {
        var errors = new Array();
        var i = 0;
        
        
        var inputName = document.getElementById("inputName");
        if(inputName.value=="")
          {
            errors[i]="Activity Name cannot be empty!";
            i++;
            $("#nameValidator").css("display","inline");
          }
        else
          {
            $("#nameValidator").css("display","none");
          }
        
        
        var Client = $("#inputClient").val();
        if(Client=="")
          {
            errors[i]="Client Name cannot be empty!";
            i++;
            $("#clientValidator").css("display","inline");
          }
        else
          {
            $("#clientValidator").css("display","none");
          }
          
        var Description = $("#inputDescription").val();
        if(Description=="")
          {
            errors[i]="Description cannot be empty!";
            i++;
            $("#descriptionValidator").css("display","inline");
          }
        else
          {
            $("#descriptionValidator").css("display","none");
          }
          
        var Probability = parseInt($("#inputProbability").val());
        if((isNaN(Probability))||(Probability>100))
          {
            errors[i]="Probability value is incorrect!";
            i++;
            $("#probabilityValidator").css("display","inline");
          }
        else
          {
            $("#probabilityValidator").css("display","none");
          }
          
        var COR = parseInt($("#inputCOR").val());
        if(isNaN(COR))
          {
            errors[i]="COR value is incorrect!";
            i++;
            $("#corValidator").css("display","inline");
          }
        else
          {
            $("#corValidator").css("display","none");
          }
        
        if(i==0)
          return true;
        else
          {
            var messageLine="";
            for(var i=0;i<errors.length;i++)
            messageLine+=(errors[i]+"\n");
            alert(messageLine);
            return false;
          }
          
      }
    </script>
  </head>
  <body>
    <h3>Activity Data</h3>
  <g:form action="saveActivity">
    <table width="450px">
      <tr>
        <td class="headerCell">
          Activity Name
        </td>
        <td>
          <input type="text" name="inputName" id="inputName" value=""/>
        </td>
        <td>
          <div id="nameValidator" class="validatorClass" style="display:none">(*)</div>
        </td>
      </tr>
      <tr>
        <td class="headerCell">
          Client Name
        </td>
        <td>
          <input type="text" name="inputClient" id="inputClient" value=""/>
        </td>
        <td>
          <div id="clientValidator" class="validatorClass" style="display:none">(*)</div>
        </td>
      </tr>
      <tr>
        <td class="headerCell">
          Activity Description
        </td>
        <td>
          <input type="text" name="inputDescription" id="inputDescription" value=""/>
        </td>
        <td>
          <div id="descriptionValidator" class="validatorClass" style="display:none">(*)</div>
        </td>
      </tr>
      <tr>
        <td class="headerCell">
          Probability
        </td>
        <td>
          <input type="text" name="inputProbability" id="inputProbability" value=""/>
        </td>
        <td>
          <div id="probabilityValidator" class="validatorClass" style="display:none">(*)</div>
        </td>
      </tr>
      <tr>
        <td class="headerCell">
          COR
        </td>
        <td>
          <input type="text" name="inputCOR" id="inputCOR" value=""/>
        </td>
        <td>
          <div id="corValidator" class="validatorClass" style="display:none">(*)</div>
        </td>
      </tr>
      <tr>
        <td class="headerCell">
          Type
        </td>
        <td>
          <select id="activityType" name="activityType">
            <option value="1">Billable</option>
            <option value="2">Overrun</option>
          </select>
        </td>
        <td>
        </td>
      </tr>
      <tr>
        <td>
          <input type="hidden" name="userID" id="userID"/>
          <input type="hidden" name="activityID" id="activityID"/>
        </td>
        <td>
          <g:submitToRemote value="Save" url="[controller:'consultantCabinet',action:'saveActivity']" onSuccess="parentUpdate(data)" before="if(!performValidation()) return false"></g:submitToRemote>
        </td>
      </tr>
      <colgroup>
        <col width="200px"/>
        <col width="200px"/>
        <col width="50px"/>
      </colgroup>
    </table>
  </g:form>
  </body>
</html>
