<!DOCTYPE html>
<!--[if lt IE 7 ]> <html lang="en" class="no-js ie6"> <![endif]-->
<!--[if IE 7 ]>    <html lang="en" class="no-js ie7"> <![endif]-->
<!--[if IE 8 ]>    <html lang="en" class="no-js ie8"> <![endif]-->
<!--[if IE 9 ]>    <html lang="en" class="no-js ie9"> <![endif]-->
<!--[if (gt IE 9)|!(IE)]><!--> <html lang="en" class="no-js"><!--<![endif]-->
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
		<title><g:layoutTitle default="WorkForecast"/></title>
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
                <!--
		<link rel="shortcut icon" href="${resource(dir: 'images', file: 'favicon.ico')}" type="image/x-icon">
		<link rel="apple-touch-icon" href="${resource(dir: 'images', file: 'apple-touch-icon.png')}">
		<link rel="apple-touch-icon" sizes="114x114" href="${resource(dir: 'images', file: 'apple-touch-icon-retina.png')}">
		<link rel="stylesheet" href="${resource(dir: 'css', file: 'main.css')}" type="text/css">
		<link rel="stylesheet" href="${resource(dir: 'css', file: 'mobile.css')}" type="text/css">
                -->
                <link rel="stylesheet" href="${resource(dir: 'css', file: 'workForecastMain.css')}" type="text/css">
                <style type="text/css">
                  #instrumentalPanel
                  {
                    height:47px;
                    width:100%;
                    background-image:url('${resource(dir: 'images', file: 'instr_background.png')}');
                  }
                  .headerRow
      {
        background-image:url('${resource(dir: 'images', file: 'table_header.png')}');
        color:#eeeeee;
        text-align:center;
        border-style:none;
        border-width:0px;
      }
                </style>
		<g:layoutHead/>
		<r:layoutResources />
	</head>
	<body>
		<!-- logo panel -->
                <div id="logo">
                  <div id="logoImageContainer">
                    <img alt="logo" src="${resource(dir: 'images', file: 'logo.png')}"/>
                  </div>
                </div>
                <div id="instrumentalPanel">
                  <div id="instrumentalContainer">
                    <g:if test="${session.user}">
                      <g:link action="logout" controller="main">Log out</g:link>
                    </g:if>
                    <g:else>
                      <g:form controller="main" action="login">
                        User name<g:textField name="username" />
                        Password<g:passwordField name="password" />
                        <g:submitButton class="button" name="submitButton" value="Login" />
                      </g:form>
                    </g:else>
                  </div>
                </div>
                <div style="float:right">
                  
                </div>
                <!-- main content -->
		<g:layoutBody/>
                
                <!-- footer -->
		<div id="footer">
                  <div id="footerText">
                  Lappeenranta University of Technology 2012
                  </div>
                </div>
                
                
                
		
		<g:javascript library="application"/>
		<r:layoutResources />
	</body>
</html>
