<!--
  To change this template, choose Tools | Templates
  and open the template in the editor.
-->

<%@ page contentType="text/html;charset=UTF-8" %>

<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta name="layout" content="main"/>
    <g:javascript library="jquery"/>
    <title>Controller page</title>
  </head>
  <body>
    <div id="content">
    <h3>Select a user</h3>
    <g:form name="formSelect" action="index" onsubmit="return CheckSearchField()">
    <g:select name="consultantID" id="consultantID" value="${user?.id}" from="${consultants}" optionKey="id" optionValue="realname" noSelection="${['-1':'Select a consultant']}"/>
    <g:submitButton name="Select"/>
    </g:form>
  
  <g:if test="${user}">
    <h3>User Information</h3>
    <table>
        <tr class="headerRow">
          <td>Name</td>
          <td>Employment Year</td>
        </tr>
        <tr>
          <td>${user.realname}</td>
          <td>${user.employmentYear}</td>
        </tr>
      </table>
      <br/>
      <br/>
    <g:link controller="consultantCabinet" action="showFullForecast" params="[userID:"${user.id}",year:"${1900+ new Date().getYear()}",month:"${new Date().getMonth()}",readOnly:true]">Full Forecast</g:link>
    <h3>Messages, sent to this user</h3>
    <table id="tableMessages">
      <tr>
        <td>Message Date</td>
        <td>Message Text</td>
      </tr>
      <g:each in="${messages}" var="message">
        <tr>
          <td>${message.messageDate}</td>
          <td>${message.messageText}</td>
        </tr>
      </g:each>
      
    </table>
    <br/>
    <br/>
    <h3>Send new Message</h3>
    <g:form name="formAdd" action="saveMessage">
        <textarea style="width:400px" id="messageText" name="messageText" rows="4"></textarea>
        <input type="hidden" name="userID" id="userID" value="${user.id}"/>
        <g:submitToRemote value="Send" url="[controller:'revisor',action:'saveMessage']" update="tableMessages" before="if(!validateMessage()) return false"/>
    </g:form>
  </g:if>
  
  <script type="text/javascript">
    function CheckSearchField()
    {
      var value=$("#consultantID").val()
      if(value==-1)
      {
        alert("The consultant is not selected!")
        return false
      }
      return true
    }
    
    function validateMessage()
    {
      if($("#messageText").val()=="")
      {
        alert("Please, set the message!");
        return false;
      }
      return true;
    }
  
  </script>
    </div>
  </body>
</html>
